Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicCommandMenuButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandMenuButtonUI

public class BasicCommandMenuButtonUI extends BasicCommandButtonUI
Basic UI delegate for the `JCommandMenuButton` component.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected MouseListener`
`rolloverMenuMouseListener`
Rollover menu mouse listener.

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`BasicCommandMenuButtonUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`fireRolloverActionPerformed(ActionEvent e)`
Fires the rollover action on all registered handlers.
`protected void`
`installListeners()`
Installs listeners on the associated command button.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated command button.
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionIcon, createPopupActionListener, createRendererButton, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installUI, isPaintingBackground, isPaintingSeparators, paint, paintButtonBackground, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonIcon, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI, updateBorder, updateCustomDimension, updatePopupActionIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rolloverMenuMouseListener

protected MouseListener rolloverMenuMouseListener
Rollover menu mouse listener.

## Constructor Details

### BasicCommandMenuButtonUI

public BasicCommandMenuButtonUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installListeners

protected void installListeners()
Description copied from class: `BasicCommandButtonUI`
Installs listeners on the associated command button.

Overrides:
  `installListeners` in class `BasicCommandButtonUI`

### uninstallListeners

protected void uninstallListeners()
Description copied from class: `BasicCommandButtonUI`
Uninstalls listeners from the associated command button.

Overrides:
  `uninstallListeners` in class `BasicCommandButtonUI`

### fireRolloverActionPerformed

protected void fireRolloverActionPerformed(ActionEvent e)
Fires the rollover action on all registered handlers.

Parameters:
  `e` - Event object.

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `BasicCommandButtonUI`